## 3DGPL ###################################################
#  (WINDOWS-32/MS Visual C)                                #
#  use as:                                                 #
#                                                          #
#  make tracer                                             #
#                                                          #
#  make clean                                              #
#                                                          #
#  (c) 1995-98 Sergei Savchenko, (savs@cs.mcgill.ca)       #
############################################################

OP = -D_RGB_ -D_16BPP_ -D_PAINTER_ -D_MONO_
CC = cl
LN = link
CF = /c $(OP) /Fo
LF = /out:app.exe
LL = gdi32.lib user32.lib

############################################################

OBJ = 1.obj 2.obj 3.obj 4.obj 5.obj 6.obj 7.obj 8.obj
HEAD = ../clipper/clipper.h ../hardware/hardware.h ../graphics/graphics.h ../engine/engine.h ../data/data.h ../colour/colour.h ../vector/vector.h ../trace/trace.h win32-ms.mk

############################################################

tracer: 01.obj $(OBJ)
	$(LN) $(LF) 01.obj $(OBJ) $(LL)

01.obj: tracer.c $(HEAD)
	$(CC) $(CF)01.obj tracer.c

1.obj: ../clipper/clipp-2d.c $(HEAD)
	$(CC) $(CF)1.obj ../clipper/clipp-2d.c

2.obj: ../graphics/grp-base.c $(HEAD)
	$(CC) $(CF)2.obj ../graphics/grp-base.c
3.obj: ../graphics/grp-text.c $(HEAD)
	$(CC) $(CF)3.obj ../graphics/grp-text.c

4.obj: ../hardware/hardware.c $(HEAD)
	$(CC) $(CF)4.obj ../hardware/hardware.c

5.obj: ../data/data.c $(HEAD)
	$(CC) $(CF)5.obj ../data/data.c

6.obj: ../colour/colour.c $(HEAD)
	$(CC) $(CF)6.obj ../colour/colour.c

7.obj: ../vector/vector.c $(HEAD)
	$(CC) $(CF)7.obj ../vector/vector.c

8.obj: ../trace/trace.c $(HEAD)
	$(CC) $(CF)8.obj ../trace/trace.c

../hardware/hardware.c : ../hardware/win-32/hardware.c
	copy ..\hardware\win-32\hardware.c ..\hardware\hardware.c
../hardware/hardware.h : ../hardware/win-32/hardware.h
	copy ..\hardware\win-32\hardware.h ..\hardware\hardware.h

clean:
	del ..\hardware\hardware.h
	del ..\hardware\hardware.c
	del *.obj
	del app.exe

############################################################
